WCSNCAT(3)

NAME
wcsncat - concatenate two wide-character strings

SYNOPSIS
#include <wchar.h>

wchar_t *wcsncat(wchar_t *dest, const wchar_t *src, size_t n);

DESCRIPTION
The wcsncat() function is the wide-character equivalent of the strncat(3) function. It copies at most n wide characters from the wide-character string pointed to by src to the end of the wide-character string pointed to by dest, and adds a terminating null wide character (L'\0').

The strings may not overlap.

The programmer must ensure that there is room for at least wcslen(dest) + n + 1 wide characters at dest.

RETURN VALUE
wcsncat() returns dest.

CONFORMING TO
C99.

SEE ALSO
strncat(3), wcscat(3)

COLOPHON
This page is part of release 3.50 of the Linux man-pages project. A description of the project, and information about reporting bugs, can be found at http://www.kernel.org/doc/man-pages/.